package performa.search;

import oneit.objstore.BaseBusinessClass;
import oneit.objstore.rdbms.filters.ILikeFilter;
import performa.orm.HiringTeam;


public class SearchHiringTeam extends BaseSearchHiringTeam
{
    private static final long serialVersionUID = 0L;
    
    // This constructor should not be called
    public SearchHiringTeam ()
    {
        // Do not add any code to this, always put it in initialiseNewObject
    }
    
    @Override
    public BaseBusinessClass[] doSearch() 
    {
        return HiringTeam.SearchByCompany()
                            .byCompanyStatus(getCompanyStatus())
                            .andHiringTeamName(new ILikeFilter(getDetails(), "%", "%"))
                            .search(getTransaction());
    }
}